## qxmpp 0.2.0

=== debian/changelog ===
qxmpp (0.2.0-1ubuntu1) natty; urgency=low

  * Don't build the examples to fix FTBFS. They aren't installed anyway.
    - Add debian/patches/ubuntu_01_dont_build_examples.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 08 Nov 2010 12:27:21 +0100

qxmpp (0.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 22 Aug 2010 15:39:14 +0200

qxmpp (0.1.93-1) unstable; urgency=low

  * New upstream release.
  * Initial upload to unstable.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 17 Aug 2010 16:04:43 +0200

qxmpp (0.1.91-1) experimental; urgency=low

  * Initial upload to Debian (Closes: #592413).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 11 Aug 2010 10:55:24 +0200
