## qxmpp 0.2.92

=== debian/changelog ===
qxmpp (0.2.92) maverick; urgency=low

  * Initial release

 -- Eugene Degtyarev <degtep@gmail.com>  Sat, 05 Feb 2011 20:42:15 +0200
