## qxmpp 0.2.92-maemo-0

=== debian/changelog ===
qxmpp (0.2.92-maemo-0) maverick; urgency=low

  * Inital release

 -- Eugene Degtyarev <degtep@gmail.com>  Mon, 14 Feb 2011 20:47:43 +0300
