=== debian/control ===
Source: qxmpp
Section: libs
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/qxmpp/
#Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/qxmpp/trunk
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qxmpp.git;a=summary

Package: libqxmpp-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev
Suggests: libqxmpp-doc
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains development headers and libraries.
