## qxmpp 0.2.92-maemo-1

=== debian/changelog ===
qxmpp (0.2.92-maemo-1) maverick; urgency=low

  * Inital Release

 -- Eugene Degtyarev <degtep@gmail.com>  Mon, 14 Feb 2011 20:56:03 +0300
