=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: libqxmpp-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libqxmpp-doc
 Description: Development files for the QXmpp library
  QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
