=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	dh_testroot
 	dh_clean -k  
 	dh_installdirs
-
+	mkdir doc/html
 
 	# Add here commands to install the package into debian/qutim.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/qxmpp install
