## qxmpp 0.2.92-maemo-2

=== debian/changelog ===
qxmpp (0.2.92-maemo-2) fremantle; urgency=low

  * Fix build problems

 -- Eugene Degtyarev <degtep@gmail.com>  Tue, 15 Feb 2011 05:11:12 +0300

qxmpp (0.2.92-maemo-1) fremantle; urgency=low

  * Inital Release

 -- Eugene Degtyarev <degtep@gmail.com>  Mon, 14 Feb 2011 20:56:03 +0300
