=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: extra
 Maintainer: Eugene Degtyarev <degtep@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), libqt4-dev
+Build-Depends: debhelper, libqt4-dev
 Standards-Version: 3.8.4
 Homepage: http://code.google.com/p/qxmpp/
 #Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/qxmpp/trunk
