=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	mkdir doc/html
 
 	# Add here commands to install the package into debian/qutim.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/qxmpp install
+	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/libqxmpp-dev install
 
 
 # Build architecture-independent files here.
