## qxmpp 0.3.0

=== debian/changelog ===
qxmpp (0.3.0-1ubuntu1) oneiric; urgency=low

  * Fix up build to work with multiarch qt4-x11. (LP: #832953)
    - Add pkgconfig_install_patch.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 13 Sep 2011 23:22:31 +0200

qxmpp (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 07 Mar 2011 08:28:35 +0100
