=== debian/control ===
Source: qxmpp
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: cdbs, debhelper (>= 7.0), libqt4-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/qxmpp/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/qxmpp/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/qxmpp/trunk/

Package: libqxmpp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqt4-dev
Suggests: libqxmpp-doc
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, lynx | www-browser
Description: Documentation for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the HTML documentation.
