## qxmpp 0.3.92

=== debian/changelog ===
qxmpp (0.3.92-1) experimental; urgency=low

  * New upstream release.
  * Switch from cdbs to debhelper 7.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 23 Feb 2012 21:58:36 +0100
