=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: qxmpp
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: cdbs, debhelper (>= 7.0), libqt4-dev
-Standards-Version: 3.9.1
+Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
+Build-Depends: debhelper (>= 7.0.50~), libqt4-dev
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/qxmpp/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/qxmpp/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/qxmpp/trunk/
@@ -23,7 +22,7 @@
 Package: libqxmpp-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, lynx | www-browser
+Depends: ${misc:Depends}, libjs-jquery, lynx | www-browser
 Description: Documentation for the QXmpp library
  QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
  as easy to use as possible.
