## qxmpp 0.4.92

=== debian/changelog ===
qxmpp (0.4.92-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 07 Jun 2012 10:12:38 +0200

qxmpp (0.4.91-2) unstable; urgency=low

  * Add support for multi-arch.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 31 May 2012 22:28:59 +0200

qxmpp (0.4.91-1) experimental; urgency=low

  * New upstream release.
  * Build as a shared library.
  * Enable speex and theora support.
  * Set debian/compat to 9.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 31 May 2012 09:40:44 +0200

qxmpp (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 12 Apr 2012 09:32:41 +0200
