=== debian/control ===
--- 
+++ 
@@ -2,16 +2,29 @@
 Section: libs
 Priority: optional
 Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: debhelper (>= 7.0.50~), libqt4-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libqt4-dev, libspeex-dev, libtheora-dev
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/qxmpp/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/qxmpp/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/qxmpp/trunk/
 
+Package: libqxmpp0
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Shared library for the QXmpp library
+ QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
+ as easy to use as possible.
+ .
+ This package contains the shared library.
+
 Package: libqxmpp-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libqt4-dev
+Multi-Arch: same
+Depends: ${misc:Depends}, libqxmpp0 (= ${binary:Version}), libqt4-dev
 Suggests: libqxmpp-doc
 Description: Development files for the QXmpp library
  QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
