=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) QXMPP_USE_SPEEX=1 QXMPP_USE_THEORA=1

override_dh_install:
	dh_install -Xjquery.js
