## qxmpp 0.7.3

=== debian/changelog ===
qxmpp (0.7.3-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 07 Sep 2012 12:00:46 +0200

qxmpp (0.7.2-1) unstable; urgency=low

  [ Jeremy Lainé ]
  * New upstream release.
  * Set DM-Upload-Allowed: yes to allow Boris Pek to perform uploads.

  [ Boris Pek ]
  * debian/control: update short description of package libqxmpp0.
  * debian/rules: override_dh_install is not necessary.
  * debian/libqxmpp-doc.links: fix lintian notes about duplicate files.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 06 Sep 2012 12:11:42 +0200

qxmpp (0.7.1-2) unstable; urgency=low

  [ Boris Pek ]
  * Update Vcs-* fields: repository was moved from Svn to Git.
  * Fix get-orig-source section in according with Debian Policy §4.9.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 03 Sep 2012 20:28:14 +0200

qxmpp (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 03 Sep 2012 16:59:22 +0200

qxmpp (0.6.3-2) unstable; urgency=low

  [ Jeremy Lainé ]
  * Provide debugging symbols in libqxmpp0-dbg.
  * Add Boris Pek to uploaders.

  [ Boris Pek ]
  * Add debian/libqxmpp-doc.doc-base.
  * Add debian/watch.
  * Remove unnecessary "Section: libs" from package libqxmpp0.
  * Update debian/rules:
    - enable parallel building
    - add get-orig-source target
  * Rewrite debian/copyright according to copyright format 1.0.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 24 Aug 2012 15:26:17 +0200

qxmpp (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 24 Jul 2012 19:18:28 +0200

qxmpp (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 22 Jul 2012 00:25:39 +0200

qxmpp (0.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 18 Jul 2012 07:57:07 +0200
