=== debian/control ===
Source: qxmpp
Section: libs
Priority: optional
Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
Uploaders: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 9), libqt4-dev, libspeex-dev, libtheora-dev
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/qxmpp/
Vcs-Git: git://anonscm.debian.org/collab-maint/qxmpp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/qxmpp.git
DM-Upload-Allowed: yes

Package: libqxmpp0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: QXmpp library for XMPP client and server applications
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the shared library.

Package: libqxmpp0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libqxmpp0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Debugging symbols for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the debugging symbols.

Package: libqxmpp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libqxmpp0 (= ${binary:Version}), libqt4-dev
Suggests: libqxmpp-doc
Multi-Arch: same
Description: Development files for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the development headers and libraries.

Package: libqxmpp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, lynx | www-browser
Suggests: libqxmpp-dev
Description: Documentation for the QXmpp library
 QXmpp is a cross-platform C++ XMPP library built upon Qt. It strives to be
 as easy to use as possible.
 .
 This package contains the HTML documentation.
