## qxmpp 0.7.5

=== debian/changelog ===
qxmpp (0.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 27 Jan 2013 19:44:14 +0200

qxmpp (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete DM-Upload-Allowed flag.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 01 Oct 2012 15:24:00 +0200
