## qxmpp 0.7.6

=== debian/changelog ===
qxmpp (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 12 Mar 2013 09:36:43 +0100
