=== debian/rules ===
#!/usr/bin/make -f

CUR_VER = $(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) QXMPP_USE_SPEEX=1 QXMPP_USE_THEORA=1

override_dh_strip:
	dh_strip --dbg-package=libqxmpp0-dbg

get-orig-source:
	wget -c "http://qxmpp.googlecode.com/files/qxmpp-$(CUR_VER).tar.gz"
	mv -f "qxmpp-$(CUR_VER).tar.gz" "qxmpp_$(CUR_VER).orig.tar.gz"
