=== debian/watch ===
version=3
http://code.google.com/p/qxmpp/downloads/list .*name=qxmpp-(.+)\.tar\.gz.* \
debian uupdate
