## qxmpp 0.8.0

=== debian/changelog ===
qxmpp (0.8.0-1) unstable; urgency=medium

  [ Jeremy Lainé ]
  * New upstream release.
  * Bump Standards-Version to 3.9.5 (was 3.9.3): no changes required.

  [ Boris Pek ]
  * Update debian/watch: tarballs are stored at another location now.
  * Update debian/control:
    - update using wrap-and-sort tool
    - update Homepage field
    - add doxygen to Build-Depends-Indep
  * Update debian/rules:
    - update get-orig-source section
    - set option --list-missing for dh
    - add option -Wl,--as-needed to LDFLAGS
    - generate documentation during build (Doxygen is used)
  * Update years in debian/copyright.
  * Add debian/libqxmpp-doc.lintian-overrides.
  * Delete debian/libqxmpp-doc.links.
  * Delete dependency on libjs-jquery from libqxmpp-doc package.
  * Fix lintian note vcs-field-not-canonical.

 -- Boris Pek <tehnick@debian.org>  Fri, 28 Mar 2014 17:25:02 +0400
