=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = qxmpp

DEBIAN_PATH := $(abspath $(dir $(MAKEFILE_LIST)))
USCAN_REPORT = $(shell uscan --noconf --report --dehs $(DEBIAN_PATH))
CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --parallel --list-missing

override_dh_auto_configure:
	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) QXMPP_USE_SPEEX=1 QXMPP_USE_THEORA=1

override_dh_auto_build-indep:
	make docs

override_dh_auto_clean-indep:
	dh_auto_clean -i
	rm -rf $(CURDIR)/doc/html

.PHONY: override_dh_auto_test-indep

override_dh_strip:
	dh_strip --dbg-package=libqxmpp0-dbg

get-orig-source:
	wget -c "$(CUR_URL)" -O "$(PACKAGE)_$(CUR_VER).orig.tar.gz"
