## qxmpp 0.8.2

=== debian/changelog ===
qxmpp (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Enable Opus audio codec.
  * Put doxygen and graphviz in Build-Depends.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 07 Jan 2015 15:53:41 +0100
