=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
 Uploaders: Boris Pek <tehnick@debian.org>
-Build-Depends: debhelper (>= 9), libqt4-dev, libspeex-dev, libtheora-dev
-Build-Depends-Indep: doxygen
+Build-Depends: debhelper (>= 9), doxygen, graphviz, libqt4-dev, libopus-dev, libspeex-dev, libtheora-dev
 Standards-Version: 3.9.5
 Homepage: https://github.com/qxmpp-project/qxmpp
 Vcs-Git: git://anonscm.debian.org/collab-maint/qxmpp.git
