=== debian/rules ===
--- 
+++ 
@@ -13,14 +13,7 @@
 	dh $@ --parallel --list-missing
 
 override_dh_auto_configure:
-	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) QXMPP_USE_SPEEX=1 QXMPP_USE_THEORA=1
-
-override_dh_auto_build-indep:
-	make docs
-
-override_dh_auto_clean-indep:
-	dh_auto_clean -i
-	rm -rf $(CURDIR)/doc/html
+	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) QXMPP_USE_DOXYGEN=1 QXMPP_USE_OPUS=1 QXMPP_USE_SPEEX=1 QXMPP_USE_THEORA=1
 
 .PHONY: override_dh_auto_test-indep
