## qxmpp 0.9.3

=== debian/changelog ===
qxmpp (0.9.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Build with Qt4 instead of Qt5.

 -- Boris Pek <tehnick@debian.org>  Tue, 02 Feb 2016 02:16:22 +0300

qxmpp (0.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 03 Dec 2015 17:05:47 +0100

qxmpp (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Only invoke dh_doxygen for arch-independent builds.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 02 Sep 2015 16:52:05 +0200

qxmpp (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Build against Qt5.
  * Enable vp8 support.
  * Disable tests which require a network connection.
  * Bump Standards-Version to 3.9.6 (no changes required).
  * Invoke dh_doxygen to clean up unneccessary doxygen files.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 30 Aug 2015 14:37:58 +0200
