=== debian/control ===
--- 
+++ 
@@ -3,8 +3,15 @@
 Priority: optional
 Maintainer: Jeremy Lainé <jeremy.laine@m4x.org>
 Uploaders: Boris Pek <tehnick@debian.org>
-Build-Depends: debhelper (>= 9), doxygen, graphviz, libqt4-dev, libopus-dev, libspeex-dev, libtheora-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+               doxygen,
+               graphviz,
+               libopus-dev,
+               libspeex-dev,
+               libtheora-dev,
+               libvpx-dev,
+               libqt4-dev
+Standards-Version: 3.9.6
 Homepage: https://github.com/qxmpp-project/qxmpp
 Vcs-Git: git://anonscm.debian.org/collab-maint/qxmpp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qxmpp.git
@@ -35,7 +42,7 @@
 Package: libqxmpp-dev
 Section: libdevel
 Architecture: any
-Depends: libqt4-dev, libqxmpp0 (= ${binary:Version}), ${misc:Depends}
+Depends: libqxmpp0 (= ${binary:Version}), libqt4-dev, ${misc:Depends}
 Suggests: libqxmpp-doc
 Multi-Arch: same
 Description: Development files for the QXmpp library
