=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,25 @@
 CUR_VER = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
 CUR_URL = $(shell echo "$(USCAN_REPORT)" | sed -n 's/.*<upstream-url>\(.*\)<\/upstream-url>.*/\1/p')
 
-LDFLAGS += -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export QT_SELECT = qt4
 
 %:
 	dh $@ --parallel --list-missing
 
 override_dh_auto_configure:
-	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) QXMPP_USE_DOXYGEN=1 QXMPP_USE_OPUS=1 QXMPP_USE_SPEEX=1 QXMPP_USE_THEORA=1
+	dh_auto_configure -- LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
+		QXMPP_USE_DOXYGEN=1 \
+		QXMPP_USE_OPUS=1 \
+		QXMPP_USE_SPEEX=1 \
+		QXMPP_USE_THEORA=1 \
+		QXMPP_USE_VPX=1
 
 .PHONY: override_dh_auto_test-indep
+
+override_dh_installdocs:
+	dh_installdocs
+	dh_doxygen -i
 
 override_dh_strip:
 	dh_strip --dbg-package=libqxmpp0-dbg
