## qxmpp 1.0.0

=== debian/changelog ===
qxmpp (1.0.0-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:09:57 +0100

qxmpp (1.0.0-5) unstable; urgency=medium

  * Add patch fix-segfault-on-connection-error:
    fixes potential SEGFAULT on connection error.

 -- Boris Pek <tehnick@debian.org>  Thu, 21 Nov 2019 00:18:31 +0300

qxmpp (1.0.0-4) unstable; urgency=medium

  * Update debian/control:
    - package libqxmpp1 now Breaks and Replaces package libqxmpp0
      (Closes: #919788)
    - remove Pre-Depends field from package libqxmpp1

 -- Boris Pek <tehnick@debian.org>  Sat, 19 Jan 2019 21:56:20 +0300

qxmpp (1.0.0-3) unstable; urgency=medium

  * Move to unstable: no changes required.
  * Add debian/libqxmpp1.lintian-overrides: notice that there is no stable ABI
    in this library, only stable API is available.

 -- Boris Pek <tehnick@debian.org>  Sat, 19 Jan 2019 00:12:57 +0300

qxmpp (1.0.0-2) experimental; urgency=medium

  * Add patch bump-SONAME. (Closes: #919487)
  * Rename package libqxmpp0 to libqxmpp1.
  * Update debian/libqxmpp-dev.install: add cmake files.

 -- Boris Pek <tehnick@debian.org>  Fri, 18 Jan 2019 01:11:28 +0300

qxmpp (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Delete all patches.
  * Bump debhelper version to 12~ (was 9); update debian/compat.
  * Update debian/control:
    - set Debian XMPP Maintainers as Maintainer
    - move Jeremy Lainé to Uploaders
    - add build dependency from cmake
    - bump Standards-Version to 4.3.0 (was 3.9.6): see changes below
    - update Vcs-* fields: moved from Alioth to Salsa
    - delete package libqxmpp0-dbg: see AutomaticDebugPackages initiative
      (after updating of debian/compat)
  * Rewrite debian/rules:
    - switch to cmake build system
      (after changes in upstream)
    - enable all hardening flags
    - delete get-orig-source section
      (after bumping of Standards-Version)
    - delete override_dh_strip section
      (after deleting of libqxmpp0-dbg package)
    - delete --parallel and --list-missing options from dh
      (after updating of debian/compat)
  * Add debian/source/lintian-overrides.
  * Add debian/libqxmpp-doc.examples.
  * Add debian/upstream/metadata.
  * Cosmetic changes in debian/watch.
  * Update debian/libqxmpp-doc.lintian-overrides.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Tue, 08 Jan 2019 20:56:22 +0300
