=== debian/watch ===
version=3
https://github.com/qxmpp-project/qxmpp/tags \
.*/qxmpp-project/qxmpp/archive/v(.+)\.tar\.gz \
debian uupdate
